curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/accounts/capacity/typeahead \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tread-horizon.com/v1/companies/{company-id}/accounts/capacity/typeahead"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tread-horizon.com/v1/companies/{company-id}/accounts/capacity/typeahead', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"schedule_on": true,
"current_assigned_count": 123,
"current_capacity_count": 123,
"connected_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
}
]
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}Typeahead search on Accounts for a Company with with Capacity Data
Typeahead search against the name property on Accounts for a Company.
Unlike the standard typeahead, this endpoint includes additional fields with capacity data.
Additionally, this endpoint automatically filters to:
- Connnected Accoubts
- Vendor-type Accounts
- Accounts that are currently scheduled on
The availability filter can be set to true/false to only include Accounts that are scheduled on or off for the date specified. If no date is specified then the current day is used.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Path Parameters
Company ID
Query Parameters
The maximum number of paginated results to return
x <= 100The cursor to start paginating after
The cursor to stop paginating at
Search string for queries
Filter based on record availability based on the date parameter/filter, defaulting to the current day.
Show all records. Deprecated in favor of filter[availability]
Filter by Label IDs. Returns records that have ANY of the specified labels (OR logic).
The date to query for regarding capacity. In YYYY-MM-DD format.
Response
OK
Show child attributes
Show child attributes